#
# spec file for package twpsk (Version 1.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp libgpp openmotif openmotif-devel update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext libstdc++-devel libtool openmotif openmotif-devel openmotif-libs perl rpm update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         twpsk
URL:          http://wa0eir.home.mchsi.com/
License:      GPL
Group:        Productivity/Hamradio/Psk31
Obsoletes:    psk31
PreReq:       /usr/sbin/groupadd
Autoreqprov:  on
Version:      1.1
Release:      725
Summary:      PSK31 for Linux
Source:       %{name}-%{version}.tar.gz
Source1:      %{name}.desktop
Patch1:       %{name}-%{version}.dif
Patch2:       %{name}-%{version}_LESSTIF.dif
Patch3:       %{name}-%{version}_glibc.dif
Patch4:       %{name}-%{version}-strings.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This program uses the C++ classes developed by Hansi Reiser, DL9RDZ.
The author just added the graphical interface on top of Hansi's
classes. It is still very alpha and you should watch for later releases
that will add more features (waterfall, menus, etc).  See the file
README.DL9RDZ for additional information.



Authors:
--------
    Ted Williams, WA0EIR <ted@bluestone.com>
    Hansi Reiser, DL9RDZ <dl9rdz@amsat.org>

%debug_package
%prep
%setup -q -n %{name}-%{version}
%patch -P 1
%patch -P 2
%patch -P 3
%patch4
rm -f `find -name "*.o"`

%build
make TWPSKLIBDIRS="-L/usr/X11R6/%_lib"

%install
rm -rf $RPM_BUILD_ROOT
make    BINDIR=$RPM_BUILD_ROOT/%_bindir \
   X11_BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
      DATADIR=$RPM_BUILD_ROOT/usr/share/psk31 \
       MANDIR=$RPM_BUILD_ROOT/%_mandir/man1 \
 install install_twpsk
ln -sf user-twpsk/COPYING COPYING.twpsk
ln -sf user-twpsk/Changes Changes.twpsk
ln -sf user-twpsk/README README.twpsk
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
install -m 664 user-twpsk/Twpsk $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
mkdir -p $RPM_BUILD_ROOT/usr/share/psk31/
install -m 664 user-twpsk/twpskDir/Brag $RPM_BUILD_ROOT/usr/share/psk31/
install -m 664 user-twpsk/twpskDir/LongCQ $RPM_BUILD_ROOT/usr/share/psk31/
install -m 664 user-twpsk/twpskDir/ShortCQ $RPM_BUILD_ROOT/usr/share/psk31/
rm -f $RPM_BUILD_ROOT//usr/share/psk31/psk31.ini
%suse_update_desktop_file -i %name Network HamRadio

%pre
usr/sbin/groupadd -g 56 -o -r localham 2> /dev/null || :

%files
%defattr(-,root,root)
%doc Changes Documentation LICENSE README COPYING.twpsk Changes.twpsk README.twpsk
/usr/bin/psk31lx
/usr/X11R6/bin/twpsk
/usr/share/applications/*
%config %{_mandir}/man1/psk31.1.gz
%config %attr(664,root,localham) /usr/X11R6/lib/X11/app-defaults/Twpsk
%dir /usr/share/psk31
%config(noreplace) %attr(664,root,localham) /usr/share/psk31/Brag
%config(noreplace) %attr(664,root,localham) /usr/share/psk31/LongCQ
%config(noreplace) %attr(664,root,localham) /usr/share/psk31/ShortCQ
%config %attr(664,root,localham) /usr/share/psk31/psk31.cod
%config %attr(664,root,localham) /usr/share/psk31/twpskHelp

%changelog -n twpsk
* Sun Jan 11 2004 - adrian@suse.de
- fix build as user
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Wed Jun 11 2003 - mmj@suse.de
- Remove files we don't package
* Thu May 15 2003 - coolo@suse.de
- use BuildRoot and %%attr
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Thu Jul 04 2002 - ro@suse.de
- create group localham if missing
* Mon Jun 03 2002 - ro@suse.de
- fix build on lib64
* Wed Apr 04 2001 - schwab@suse.de
- Fix missing declarations.
* Fri Feb 09 2001 - ka@suse.de
- changed <linux/soundcard.h> to <sys/soundcard.h> and added <time.h>
  to user/term-psk31.C
* Fri Jan 05 2001 - ka@suse.de
- update to version 1.1
- added patch to not rely on LessTif but use OpenMotif (Thanks to Uli!)
- now again with manual page psk31(1)
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Mon Jun 26 2000 - uli@suse.de
- now removes the stale object files before building (fails on non-x86
  archs otherwise)
* Sat Jun 17 2000 - ka@suse.de
- fixed spec file, removed (noreplace) from Twpsk file, this needs
  to be replaced while updating
* Mon Jun 05 2000 - ka@suse.de
- update to version 0.10b
- added group tag in spec file
- used more macros in spec file
- used group "localham" for configuration files
* Fri Mar 31 2000 - ka@suse.de
- update to version 0.9
* Thu Mar 16 2000 - ka@suse.de
- update to version 0.8
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Thu Dec 23 1999 - ka@suse.de
- update to new version 0.7
- psk31.ini has gone, configuration is done completely in
  /usr/X11R6/lib/X11/app-defaults/Twpsk
* Thu Nov 25 1999 - ka@suse.de
- initial release 0.6
